Memory Stores
Create a memory store
Creates a memory store resource with the provided configuration.
Fejlécparaméterek
Foundry-Features
enum
kötelező
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Kérelem törzse
name
string
kötelező
The name of the memory store.
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
definition
default
kötelező
Base definition for memory store configurations.
default
MemoryStoreDefaultDefinition
Default memory store implementation.
kind
enum
kötelező
The kind of the memory store.
chat_model
string
kötelező
The name or identifier of the chat completion model deployment used for memory processing.
embedding_model
string
kötelező
The name or identifier of the embedding model deployment used for memory processing.
options
MemoryStoreDefaultOptions
Default memory store configurations.
user_profile_enabled
boolean
kötelező
Whether to enable user profile extraction and storage. Default is true.
user_profile_details
string
Specific categories or types of user profile information to extract and store.
chat_summary_enabled
boolean
kötelező
Whether to enable chat summary extraction and storage. Defaults to true.
procedural_memory_enabled
boolean
Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.
default_ttl_seconds
integer
The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.
Válaszok
The request has succeeded.
Törzs
object
enum
kötelező
The object type, which is always 'memory_store'.
id
string
kötelező
The unique identifier of the memory store.
name
string
kötelező
The name of the memory store.
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
definition
default
kötelező
Base definition for memory store configurations.
default
MemoryStoreDefaultDefinition
Default memory store implementation.
kind
enum
kötelező
The kind of the memory store.
chat_model
string
kötelező
The name or identifier of the chat completion model deployment used for memory processing.
embedding_model
string
kötelező
The name or identifier of the embedding model deployment used for memory processing.
options
MemoryStoreDefaultOptions
Default memory store configurations.
user_profile_enabled
boolean
kötelező
Whether to enable user profile extraction and storage. Default is true.
user_profile_details
string
Specific categories or types of user profile information to extract and store.
chat_summary_enabled
boolean
kötelező
Whether to enable chat summary extraction and storage. Defaults to true.
procedural_memory_enabled
boolean
Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.
default_ttl_seconds
integer
The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.
Kérés
POST /memory_stores HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json